package cn.com.qmth.scancloud.tools.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class SysProperty {

    // 设置扫描系统的接口地址前缀
    public static String SCAN_SERVER_URL;

    // 默认数据文件存放目录（导出时必要配置）
    public static String DATA_DIR;

    // 默认数据文件路径（导入时必要配置）
    public static String DATA_FILE;

    // 设置任务类型，默认为空（配了才会执行任务）
    public static String TASK_TYPE;

    // 默认学校ID，默认为1
    public static Long SCHOOL_ID;

    // 默认学校名称
    public static String SCHOOL_NAME;

    // 设置考试ID，默认为空
    public static Long EXAM_ID;

    //“卷型条码规则”
    public static String PAPER_TYPE_BARCODE;

    // 自定义导入模板的列分隔符，为空时采用默认分隔符"|"，特殊字符请用双引号括起来！
    public static String TEMPLATE_SEPARATOR;

    // 默认线程数
    public static Integer THREAD_SIZE;
    
    //年度后两位
    public static String YEAR;
    
    //场次，上半年为1，下半年为2
    public static String YEAR_HALF;
    
    //评卷点数据
    public static String MARKING_PLACE;
    
    //试卷结构导入文件
    public static String STRUCT_IMPORT;
    

    @Value("${scan.server.url}")
    public void scanServerUrl(String scanServerUrl) {
        SCAN_SERVER_URL = scanServerUrl;
    }

    @Value("${scan.tool.dataDir}")
    public void dataDir(String dataDir) {
        DATA_DIR = dataDir;
    }

    @Value("${scan.tool.dataFile}")
    public void dataFile(String dataFile) {
        DATA_FILE = dataFile;
    }

    @Value("${scan.tool.taskType}")
    public void taskType(String taskType) {
        TASK_TYPE = taskType;
    }

    @Value("${scan.tool.schoolId}")
    public void schoolId(Long schoolId) {
        SCHOOL_ID = schoolId;
    }

    @Value("${scan.tool.schoolName}")
    public void schoolName(String schoolName) {
        SCHOOL_NAME = schoolName;
    }

    @Value("${scan.tool.examId}")
    public void examId(Long examId) {
        EXAM_ID = examId;
    }

    @Value("${scan.tool.paper-type-barcode}")
    public void paperTypeBarcode(String paperTypeBarcode) {
        PAPER_TYPE_BARCODE = paperTypeBarcode;
    }

    @Value("${scan.tool.template.separator:,}")
    public void templateSeparator(String templateSeparator) {
        TEMPLATE_SEPARATOR = templateSeparator;
    }

    @Value("${scan.tool.thread.size:3}")
    public void threadSize(Integer threadSize) {
        THREAD_SIZE = threadSize;
    }
    
    @Value("${scan.tool.year}")
    public void year(String year) {
        YEAR = year;
    }
    
    @Value("${scan.tool.year.half}")
    public void yearHalf(String yearHalf) {
        YEAR_HALF = yearHalf;
    }
    
    @Value("${scan.tool.marking-place}")
    public void markingPlace(String markingPlace) {
        MARKING_PLACE = markingPlace;
    }
    @Value("${scan.tool.struct-import}")
    public void structImport(String structImport) {
        STRUCT_IMPORT = structImport;
    }
    
}
