package cn.com.qmth.scancloud.tools.enums;

import cn.com.qmth.scancloud.tools.service.impl.AbsentImportTask;
import cn.com.qmth.scancloud.tools.service.impl.CourseImportTask;
import cn.com.qmth.scancloud.tools.service.impl.ExamImportTask;
import cn.com.qmth.scancloud.tools.service.impl.ExamStudentCleanTask;
import cn.com.qmth.scancloud.tools.service.impl.ExamStudentCountTask;
import cn.com.qmth.scancloud.tools.service.impl.ExamStudentImportTask;
import cn.com.qmth.scancloud.tools.service.impl.ExcelToTxtTask;
import cn.com.qmth.scancloud.tools.service.impl.ObjectiveQuestionExportTask;
import cn.com.qmth.scancloud.tools.service.impl.ScanImageCheckTask;
import cn.com.qmth.scancloud.tools.service.impl.StructImportTask;
import cn.com.qmth.scancloud.tools.service.impl.UserImportTask;

public enum TaskType {

    USER_IMPORT("管理员用户导入", UserImportTask.class),

    EXAM_IMPORT("考试导入", ExamImportTask.class),

    COURSE_IMPORT("课程导入", CourseImportTask.class),

    EXAM_STUDENT_IMPORT("考生导入", ExamStudentImportTask.class),

    EXAM_STUDENT_COUNT("考生数量检查", ExamStudentCountTask.class),

    EXAM_STUDENT_CLEAN("考生清理", ExamStudentCleanTask.class),

    SCAN_IMAGE_CHECK("扫描图片检查&修复", ScanImageCheckTask.class),

    OBJECTIVE_QUESTION_EXPORT("考生扫描结果和评卷数据导出", ObjectiveQuestionExportTask.class),

    EXCEL_TO_TXT("Excel转为txt文件", ExcelToTxtTask.class),
    
    ABSENT_IMPORT("缺考导入", AbsentImportTask.class),
    
    STRUCT_IMPORT("试卷结构导入", StructImportTask.class),
    ;

    private String title;

    private Class<?> impl;

    TaskType(String title, Class<?> impl) {
        this.title = title;
        this.impl = impl;
    }

    public static TaskType findByName(String name) {
        for (TaskType taskType : values()) {
            if (taskType.name().equals(name)) {
                return taskType;
            }
        }
        return null;
    }

    public String getTitle() {
        return title;
    }

    public Class<?> getImpl() {
        return impl;
    }

}
